//
// HDD Functions from FireBird
//
#ifndef __HDDIOLIB__
  #define __HDDIOLIB__

  typedef struct
  {
	dword		attr:8;
	dword		mjd:16;
	dword		hour:8;

	dword		min :8;
	dword		sec :8;
	dword		localOffset:16;

	dword		startCluster;
	dword		totalCluster;
	dword		unusedByte;
	char		name [TS_FILE_NAME_SIZE];
	byte		skip;
	byte		crypt;
	byte		playLst;
	byte		reserved[5];

	void		*handle;
	ulong64		size;
	dword 		currentPos;

	dword		FAT [131072];
	dword		SectorsPerCluster;

  } TYPE_Fileex;

#define    oTAP_Hdd_ReadSectorDMA     0x00

extern void* (*TAP_GetSystemProc)(int);

typedef dword (*tTAP_Hdd_ReadSectorDMA)(dword startSector, dword sectors, byte *buffer);

#endif
